Description

Associated revisions

Revision 890 - 11/21/2018 03:54 PM - lukemurphey

Changing TOC nodes to use Django templates since Genshi fails to handle

Unicode correctly

Reference #2330

Revision 928 - 11/21/2018 03:54 PM - lukemurphey

Changing TOC nodes to use Django templates since Genshi fails to handle

Unicode correctly

Reference #2330

Revision 892 - 11/21/2018 04:51 PM - lukemurphey

Migrating away from Genshi templates for epub generation

Reference #2330

Revision 930 - 11/21/2018 04:51 PM - lukemurphey

Migrating away from Genshi templates for epub generation

Reference #2330

Revision 893 - 11/21/2018 05:03 PM - lukemurphey

Migrating away from Genshi templates for epub generation

Reference #2330

Revision 931 - 11/21/2018 05:03 PM - lukemurphey

Migrating away from Genshi templates for epub generation

Reference #2330
Revision 894 - 11/21/2018 05:07 PM - lukemurphey

Migrating away from Genshi templates for epub generation

Reference #2330

Revision 932 - 11/21/2018 05:07 PM - lukemurphey

Migrating away from Genshi templates for epub generation

Reference #2330

Revision 895 - 11/21/2018 05:12 PM - lukemurphey

Migrating away from Genshi templates for epub generation

Reference #2330

Revision 933 - 11/21/2018 05:12 PM - lukemurphey

Migrating away from Genshi templates for epub generation

Reference #2330

Revision 896 - 11/21/2018 05:55 PM - lukemurphey

Finalizing changes to move away from Genshi templates for ebooks

Reference #2330

Revision 934 - 11/21/2018 05:55 PM - lukemurphey

Finalizing changes to move away from Genshi templates for ebooks

Reference #2330

History

#1 - 11/20/2018 10:36 PM - Luke Murphey

The TOC cannot be generated because it seems to require ascii.

Might want to consider:

https://github.com/aerkalov/ebooklib

https://pypi.org/project/epub/

https://github.com/wcember/pypub

#2 - 11/20/2018 10:47 PM - Luke Murphey

Example of what is happening here:

s = 'main \xe1\xbc\x80\xe1\xbd\xb1\xce\xb1\xcf\x84\xce\xbf\xcf\x82'

s.decode('utf-8')
s.decode('utf-8').encode('ascii', 'ignore')

#3 - 11/20/2018 10:59 PM - Luke Murphey

Trace:

textcritical_net/src/epub.py: self.__writeTocNCX()

textcritical_net/src/epub.py: fout.write(stream.render('xml'))

The error is generated from:

      <navLabel><text>${node.title}</text></navLabel>

 

Similar to: https://genshi.edgewall.org/ticket/542

#4 - 11/20/2018 11:18 PM - Luke Murphey

Observations:

1. title is an instance of str with utf-8 encoding

2. The following does not work:

1. title.decode("utf-8")

2. title

3. unicode(title)

4. unicode(title.decode("utf-8"))

3. The following generates no errors but the content is wrong:

1. title.decode("utf-8").encode("ascii", "ignore")

2. title.decode("utf-8").encode("windows-1252", "ignore")

3. title = Greek.unicode_to_beta_code(unicode(title.decode("utf-8")))

#5 - 11/20/2018 11:18 PM - Luke Murphey

Questions:

Why do the main content pages not fail?

Genshi is not being imported for that rendering

Would using Django templates work?

Could likely use http://jinja.pocoo.org/

#6 - 11/21/2018 05:55 PM - Luke Murphey
- Status changed from New to Closed

- % Done changed from 0 to 100
